Name:       gsmartcontrol
Version:    1.1.4
Release:    1%{?dist}
Summary:    Graphical user interface for smartctl

License:    (GPLv2 or GPLv3) and BSD and zlib and Boost and MIT

URL:        http://gsmartcontrol.sourceforge.net
Source0:    https://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtkmm30-devel
BuildRequires:  pcre-devel
BuildRequires:  desktop-file-utils
BuildRequires:  make
Requires:       smartmontools >= 5.43
Requires:       hicolor-icon-theme
Requires:       xterm

%description
GSmartControl is a graphical user interface for smartctl (from
smartmontools package), which is a tool for querying and controlling
SMART (Self-Monitoring, Analysis, and Reporting Technology) data on
modern hard disk drives. It allows you to inspect the drive's SMART
data to determine its health, as well as run various tests on it.

%prep
%autosetup -p1
autoreconf -fiv


%build
%configure --docdir=%{_pkgdocdir}
%make_build

%install
%make_install
sed -i 's|/usr/bin/env bash|/usr/bin/bash|' %{buildroot}%{_bindir}/%{name}-root


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license COPYING
%{_bindir}/%{name}-root
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/polkit-1/actions/org.%{name}.policy
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-root.1.*
%{_pkgdocdir}
%{_datadir}/metainfo/gsmartcontrol.appdata.xml

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-1
- initial build
